<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8" />
  <title>Tests for Success Criterion 2.4.12 | Accessibility Works</title>
  <link rel="stylesheet" type="text/css" media="screen" href="../../../css/verdemoderna.css" title="default" />
  <meta name="robots" content="noindex, nofollow" />
  <meta name="googlebot" content="noindex, nofollow" />
</head>
<body id="home">
  <header id="header" role="banner">
    <h1><span class="h1txt">Tests for Success Criterion 2.4.12: Focus Not Obscured (Minimum)</span></h1>
  </header>

  <!--nav id="nav">
  </nav-->

  <main id="main">
    <p><abbr>HTML</abbr> files for testing keyboard focus versus programmatic focus being obscured by other content.
    </p>
    <ul>
      <li><a href="focus-not-obscured-1.html">First test: absolutely positioned quote</a> (August 2012).
      </li>
      <li><a href="focus-not-obscured-2.html">Second test: fixed footer</a> (August 2012).
      </li>
    </ul>
    <p>See also the following issues:</p>
    <ul>
      <li><a href="https://github.com/w3c/wcag/issues/2023">Issue 2023: Is "Not fully obscured:" from SC 2.4.11 already covered by SC 2.4.7</a>.
        A <a href="https://github.com/w3c/wcag/issues/952#issuecomment-637689097">comment on issue 952</a> stated that
        <q>a sticky footer/header which temporarily obscures the focus indicator does <strong>not</strong> trigger a failure of 2.4.7.</q>
      </li>
      <li><a href="https://github.com/w3c/wcag/issues/2204">Issue 2204: SC 2.4.11 and out-of-viewport content</a>.
      </li>
    </ul>
  </main>

  <footer id="footer">
    <p id="licence">
    <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">
    <img alt="Creative Commons License Attribution-ShareAlike" style="border-width:0" src="../../../img/cc-licence-by-sa-88x31.png" />
    </a>
    <br />
    <span xmlns:dct="http://purl.org/dc/terms/" href="http://purl.org/dc/dcmitype/Text">
    <a href="https://cstrobbe.gitlab.io/A11yWorks/">Accessibility
    Works</a></span> by <a xmlns:cc="http://creativecommons.org/ns#"
    href="https://gitlab.com/cstrobbe"
    rel="cc:attributionURL">Christophe Strobbe</a> is licensed under a <a
    xml:lang="en-US" lang="en-US" rel="license"
    href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons
    Attribution-ShareAlike 4.0 International License</a>. </p>
    <p><a href="../../../sitemap.html">Site map</a>.</p>
  </footer>
</body>
</html>
